Get b2cAuthenticationMethodsPolicy
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Read the properties of a b2cAuthenticationMethodsPolicy object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions |
|---|---|
| Delegated (work or school account) | Policy.Read.All |
| Delegated (personal Microsoft account) | Policy.Read.All |
| Application | Policy.Read.All |
HTTP request
GET /policies/b2cAuthenticationMethodsPolicy
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and the requested b2cAuthenticationMethodsPolicy object in the response body.
Examples
Request
The following is an example of the request.
GET https://graph.microsoft.com/beta/policies/b2cAuthenticationMethodsPolicy
Response
The following is an example of the response.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#b2cAuthenticationMethodsPolicy",
"id": "b2CAuthenticationMethodsPolicy",
"isEmailPasswordAuthenticationEnabled": true,
"isUserNameAuthenticationEnabled": false,
"isPhoneOneTimePasswordAuthenticationEnabled": true
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk